Loading...
Searching...
No Matches
casacore::TaQLJoinRow Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class holding the row number as the final level in the comparison tree. More...

`#include <TaQLJoin.h>`

## Public Member Functions

| TaQLJoinRow (Int64 row)
| ~TaQLJoinRow () override=default
Int64 | findRow (const TableExprId &) override
| Return the row number.
Public Member Functions inherited from casacore::TaQLJoinBase
virtual | ~TaQLJoinBase ()=default

## Private Attributes

Int64 | itsRow

## Detailed Description

Class holding the row number as the final level in the comparison tree.

### Intended use:

Internal

### Review Status

Reviewed By:
  Tammo Jan Dijkema
Date Reviewed:
  2022/12/15
Test programs:
  tTableGramJoin

### Synopsis

Objects of this class form the lowest level in a TaQLJoin tree. It only contains a row number telling which row in the join table contains the values at the higher levels in the tree.

Definition at line 72 of file TaQLJoin.h.

## Constructor & Destructor Documentation

## TaQLJoinRow()

casacore::TaQLJoinRow::TaQLJoinRow | ( | Int64 | row | ) |

inline

Definition at line 75 of file TaQLJoin.h.

References itsRow.

## ~TaQLJoinRow()

casacore::TaQLJoinRow::~TaQLJoinRow | ( |  | ) |

override default

## Member Function Documentation

## findRow()

Int64 casacore::TaQLJoinRow::findRow | ( | const TableExprId & |  | ) |

override virtual

Return the row number.

Implements casacore::TaQLJoinBase.

## Member Data Documentation

## itsRow

Int64 casacore::TaQLJoinRow::itsRow

private

Definition at line 84 of file TaQLJoin.h.

Referenced by TaQLJoinRow().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLJoin.h